#!/bin/sh
########################################
##### Powered by SoftCam.Org Team ######
###      http://www.SoftCam.Org      ###
########################################

CAMNAME="Oscam Ymod SoftCam.Org"
USERNAME=""
ZAPTIME=6
CAMID=130
INFOFILE="ecm0.info"

# end

remove_tmp () {
  rm -rf /tmp/*.info* /tmp/*.tmp* 
}

case "$1" in
	start)
	echo "[SCRIPT] $1: $CAMNAME"
	remove_tmp
  /bin/sh /var/script/getkey.sh &
	/var/bin/oscam -b
	;;
	stop)
	echo "[SCRIPT] $1: $CAMNAME"
	killall -9 oscam 2>/dev/null
	sleep 2
  remove_tmp
	;;
	*)
	$0 stop
	exit 0
	;;
esac

exit 0
